0

I have a C# application built in Visual Studio 2015 with .net framework 4.6.1, but it crashes directly in another window10 (version 1607) machine without installing VS environment, but it can work after building with 4.6.

When I install .net framework 4.6.1 from https://www.microsoft.com/en-us/download/details.aspx?id=49981, it always tells me ".NET Framework 4.6.1 or a later update is already installed on this computer."

  • Have you tried to uninstall the NET Framework and install it again? – Vylix May 2 '17 at 17:57
  • Considering 1607 came with 4.6.2 not 4.6.1 I am not sure I udnerstand the question. 4.6.2 is a in-place replacement for 4.6.1. If the application is crashing its not because you have 4.6.2 installed and it was targeted to 4.6.1. 1703 has .net 4.7 which is an in-place upgrade for 4.6.2 by the way. Just to be crystal clear, .NET 4.6.1 cannot be installed, on Windows 10 1607. You can install any other version(s) (i.e. 3.5 4.5,2,3). – Ramhound May 2 '17 at 20:51
  • 4.5 replaces 4.0; 4.6 replaces 4.5; 4.7 replaces 4.6; There are smaller iteration releases (4.5.x and 4.6.x) but they all replace each other. This means an application trageted to specifically 4.6.1 will run if you have 4.6.2 installed but won't run if you have 4.5.x because you can only target to ( 4, 4.5.X, 4.6.X, 3.5, 3.0,2.0) releases. – Ramhound May 2 '17 at 20:59
  • create a crash dump on the second PC and debug the dmp – magicandre1981 May 3 '17 at 16:08

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.